Subject: RE: [Mip6] Consensus call: draft-giaretta-mip6-aaa-ha-goals-00.txt

From: Gerardo Giaretta <[email-masked]>
Date: Wed, 09 Feb 2005 18:33:13 +0100

Hi Alper,

please see below..

> > >Before we get to listing the requirements, we (MIP6 WG) should
> identify
> > >different frameworks where "mip6" gets mixed up with 
> "aaa". Following
> > >that, we can discuss which one of the frameworks we'd like to
> > >standardize in IETF, and drive the requirements based on that.
> > 
> > Okay. I think it is possible to have a discussion of the frameworks
> > based on your I-D on the ML in a constrained timeframe and 
> proceed to
> > the next step of identifying what are the requirements for AAA-MIP6
> > network elements interactions.
> 
> The implications of some of the frameworks are not confined 
> to a AAA-HA
> interface. For example, delivery of MIP6 information to NAS calls for
> new attributes for AAA server-to-NAS communication (as opposed to AAA
> server to HA, which requires a new AAA application). We shall capture
> those in the WG document as well.
> 

I agree that some frameworks imply requirements also on AAAH-NAS
communication. In draft-giaretta-mip6-aaa-ha-goals-00 we list only the
requirements on AAA-HA interface because the goals for such an interface
seem to be independent from the protocol used between MN, NAS and AAA
server (e.g. EAP, PANA, RADIUS/Diameter).

I think the WG should decide if we need a draft that lists all AAA-MIP6
requirements or for the moment only a draft listing the goals for the
design of an interface between AAA and HA. 

If the WG draft has to cover all AAA-MIP6 requirements, before listing
the goals we surely need to decide which framework(s) we want to
address. Otherwise, if we accept to limit the scope of the WG draft to
the AAA-HA interface, it might be possible to identify the design goals
for this interface in a way to address any possible framework. 

Regards,
--Gerardo

> > >
> > >This was the motivation behind writing
> draft-yegin-mip6-aaa-fwk-00.txt.
> > >4 different frameworks are mentioned in that I-D, with one being
> > >detailed.
> > 
> > The I-D can be a good source for the discussion itself and 
> then we can
> > simply choose to incorporate the one that we agree on as 
> the basis for
> > the goals I-D.
> > 
> > >
> > >I have no objection to using mip6-aaa-ha-goals, but I recommend we
> > >capture the framework discussions. For that, my 
> recommendation is to
> > >produce a WG I-D combining both individual I-Ds.
> > 
> > Not sure if we really need to do a merge of the I-Ds here. 
> I think we
> > can have a discussion on the list about the frameworks that you
> > propose in your I-D and then based on consensus we can 
> incorporate the
> > one that we agree on in the giaretta draft as a section.
> 
> I'm not suggesting a full merge or anything, but to make sure 
> we address
> various issues and angles thoroughly. If someone wants to rewrite
> things, I don't mind :-) 
> 
> > >Besides, mip6-aaa-fwk has detailed discussions on call 
> flow (good for
> > >finding out the exact requirements), EAP considerations, 
> why we need
> a
> > >new AAA application, and relation to mip6 bootstrapping -- 
> which are
> > >worth capturing in the WG I-D.
> > 
> > Some of this can go in an appendix of the giaretta draft.
> 
> I think some of these discussions are for the main text. For example,
> the relation to MIP6 bootstrapping must be spelled out. Some parts of
> the mip6-aaa-ha draft gives the impression that such an interface
> handles the MIP6 bootstrapping single-handedly. That's not always the
> case. Also, I think we need some words on why we need a new AAA
> application when we already have MIP4 and EAP applications. 
> 
> For framework classification, here are my slides:
> http://yegin.org/IETF/MIP6-AAA-fwk.ppt. This is what I missed 
> to present
> at IETF 61.
> 
> 
> Alper
> 
> 
> 
> 
> 
> > 
> > >
> > >Alper
> > >
> > 
> > -Basavaraj
> 
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alper Yegin <[email-masked]>
Date: Wed, 09 Feb 2005 10:59:57 -0800

Hi Gerardo,

> design of an interface between AAA and HA.

I think the MIP6 WG should discuss all "mip6" and "aaa" work needed in
IETF. Once we agree on the work, documentation strategy can be worked
out.

Framework 2 should be standardized at IETF. I know at least one SDO is
using that framework in a vendor-specific way. I anticipate more users
(SDOs, deployments).

> for this interface in a way to address any possible framework.

I think we must identify all possible frameworks, but not necessarily
standardize all of them at IETF. 

Alper

---

From: Yoshihiro Ohba <[email-masked]>
Date: Wed, 09 Feb 2005 17:33:25 -0500

I agree with Alper that we must identify all possible bootstrapping
frameworks.  I'd like to mention that
draft-ohba-mip6-boot-arch-dhcp-00.txt also contains a framework for
Scenario 2 of draft-giaretta-mip6-aaa-ha-goals-00.txt, and the
framework should be identified.

Regards,

Yoshihiro Ohba